# pyzor.digest

Handle digesting the messages.

class pyzor.digest.DataDigester(msg, spec=None)

  Bases: `object`

  The major workhouse class.

  atomic_num_lines = 4
  digest
  classmethod digest_payloads(msg)
  email_ptrn = re.compile('\\S+@\\S+')
  handle_atomic(lines)

    We digest everything.

  handle_line(line)
  handle_pieced(lines, spec)

    Digest stuff according to the spec.

  longstr_ptrn = re.compile('\\S{10,}')
  min_line_length = 8
  classmethod normalize(s)
  static normalize_html_part(s)
  classmethod should_handle_line(s)
  unwanted_txt_repl = ''
  url_ptrn = re.compile('[a-z]+:\\S+', re.IGNORECASE)
  value
  ws_ptrn = re.compile('\\s')

class pyzor.digest.HTMLStripper(collector)

  Bases: `HTMLParser`

  Strip all tags from the HTML.

  handle_data(data)

    Keep track of the data.

  handle_endtag(tag)
  handle_starttag(tag, attrs)

class pyzor.digest.PrintingDataDigester(msg, spec=None)

  Bases: `DataDigester`

  Extends DataDigester: prints out what we’re digesting.

  digest
  handle_line(line)
  value